## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so$

Summary: C++/Qt5 wrapper around multiple MIDI interfaces
Name:    drumstick
Version: 2.9.1
Release: %autorelease

# Automatically converted from old format: GPLv3+ - review is highly recommended.
License: GPL-3.0-or-later
URL:     https://drumstick.sourceforge.io/
Source0: https://sourceforge.net/projects/drumstick/files/%{version}/drumstick-%{version}.tar.bz2

BuildRequires: gcc-c++
BuildRequires: cmake >= 3.9
BuildRequires: alsa-lib-devel
BuildRequires: desktop-file-utils
BuildRequires: qt6-qtbase-devel >= 6.2
BuildRequires: qt6-qtsvg-devel
BuildRequires: fluidsynth-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: sonivox-devel >= 3.6.12
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6UiPlugin)
BuildRequires: cmake(Qt6Core5Compat)
# For building manpages
BuildRequires: docbook-style-xsl /usr/bin/xsltproc
# For building API documents
BuildRequires: doxygen

Obsoletes: aseqmm < %{version}-%{release}
Provides: aseqmm = %{version}-%{release}

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt objects, idioms and style. OSS, network and Fluidsynth
interfaces are also supported by this library.

%package devel
Summary: Developer files for %{name}
Requires: %{name} = %{version}-%{release}
# cmake(drumstick-alsa) requires FindALSA
Requires: alsa-lib-devel
Obsoletes: aseqmm-devel < %{version}-%{release}
Provides: aseqmm-devel = %{version}-%{release}
%description devel
%{summary}.

%package examples
Summary: Example programs for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: aseqmm-examples < %{version}-%{release}
Provides: aseqmm-examples = %{version}-%{release}
%description examples
This package contains the test/example programs for %{name}.

%package drumgrid
Summary: Drum Grid application from %{name}
Requires: %{name}-examples = %{version}-%{release}
%description drumgrid
This package contains the drumgrid application.

%package guiplayer
Summary: MIDI player from %{name}
Requires: %{name}-examples = %{version}-%{release}
%description guiplayer
This package contains the guiplayer application.

%package vpiano
Summary: Virtual piano application from %{name}
Requires: %{name}-examples = %{version}-%{release}
%description vpiano
This package contains the vpiano application.

%package dumprmi
Summary: RIFF RMID file support for %{name}
Requires: %{name}-examples = %{version}-%{release}
%description dumprmi
Standard RIFF MIDI File dump program.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake

%cmake_build
doxygen %{_vpath_builddir}/Doxyfile


%install
%cmake_install
for i in $RPM_BUILD_ROOT%{_datadir}/applications/* ; do
  desktop-file-validate $i
done

%check
# Tests require an alsa system, which may not be available within the mock env
#make %{?_smp_mflags} -C %{_vpath_builddir} test

%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog COPYING TODO
%{_libdir}/libdrumstick-file.so.2*
%{_libdir}/libdrumstick-alsa.so.2*
%{_libdir}/libdrumstick-rt.so.2*
%{_libdir}/libdrumstick-widgets.so.2*
%{_libdir}/drumstick2/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/
%{_qt6_plugindir}/designer/libdrumstick-vpiano-plugin.so

%files devel
%doc doc/html/*
%{_libdir}/libdrumstick-file.so
%{_libdir}/libdrumstick-alsa.so
%{_libdir}/libdrumstick-rt.so
%{_libdir}/libdrumstick-widgets.so
%{_libdir}/pkgconfig/drumstick-file.pc
%{_libdir}/pkgconfig/drumstick-alsa.pc
%{_libdir}/pkgconfig/drumstick-rt.pc
%{_libdir}/pkgconfig/drumstick-widgets.pc
%{_libdir}/cmake/%{name}/
%{_datadir}/%{name}
%{_includedir}/drumstick/
%{_includedir}/drumstick.h

%files examples
%{_bindir}/drumstick-dumpmid
%{_bindir}/drumstick-dumpsmf
%{_bindir}/drumstick-dumpwrk
%{_bindir}/drumstick-metronome
%{_bindir}/drumstick-playsmf
%{_bindir}/drumstick-sysinfo
%{_datadir}/icons/hicolor/16x16/apps/drumstick.png
%{_datadir}/icons/hicolor/32x32/apps/drumstick.png
%{_datadir}/icons/hicolor/48x48/apps/drumstick.png
%{_datadir}/icons/hicolor/64x64/apps/drumstick.png
%{_datadir}/icons/hicolor/scalable/apps/drumstick.svgz
%{_datadir}/man/man1/drumstick-dumpmid.1.gz
%{_datadir}/man/man1/drumstick-dumpsmf.1.gz
%{_datadir}/man/man1/drumstick-dumpwrk.1.gz
%{_datadir}/man/man1/drumstick-metronome.1.gz
%{_datadir}/man/man1/drumstick-playsmf.1.gz
%{_datadir}/man/man1/drumstick-sysinfo.1.gz

%files drumgrid
%{_bindir}/drumstick-drumgrid
%{_datadir}/applications/net.sourceforge.drumstick-drumgrid.desktop
%{_datadir}/man/man1/drumstick-drumgrid.1.gz
%{_datadir}/metainfo/net.sourceforge.drumstick-drumgrid.metainfo.xml

%files guiplayer
%{_bindir}/drumstick-guiplayer
%{_datadir}/applications/net.sourceforge.drumstick-guiplayer.desktop
%{_datadir}/man/man1/drumstick-guiplayer.1.gz
%{_datadir}/metainfo/net.sourceforge.drumstick-guiplayer.metainfo.xml

%files vpiano
%{_bindir}/drumstick-vpiano
%{_datadir}/applications/net.sourceforge.drumstick-vpiano.desktop
%{_datadir}/man/man1/drumstick-vpiano.1.gz
%{_datadir}/metainfo/net.sourceforge.drumstick-vpiano.metainfo.xml

%files dumprmi
%{_bindir}/drumstick-dumprmi
%{_datadir}/man/man1/drumstick-dumprmi.1.gz

%changelog
## START: Generated by rpmautospec
* Fri Oct 11 2024 Yann Collette <ycollette.nospam@free.fr> - 2.9.1-2
- update gitignore and source files

* Fri Oct 11 2024 Yann Collette <ycollette.nospam@free.fr> - 2.9.1-1
- update to 2.9.1

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 2.9.0-6
- convert GPLv3+ license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 17 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 2.9.0-2
- Add alsa-lib-devel dependency to drumstick-devel

* Sun Jan 14 2024 Yann Collette <ycollette.nospam@free.fr> - 2.9.0-1
- New release 2.9.0 (RHBZ#2255730)

* Sat Sep 16 2023 Robin Lee <cheeselee@fedoraproject.org> - 2.8.1-1
- New release 2.8.1(RHBZ#2234764)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Robin Lee <cheeselee@fedoraproject.org> - 2.8.0-1
- New release 2.8.0(RHBZ#2219050)

* Fri Jan 27 2023 Robin Lee <cheeselee@fedoraproject.org> - 2.7.2-1
- New release 2.7.2 (RHBZ#2112679)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 20 2022 Robin Lee <cheeselee@fedoraproject.org> - 2.6.1-3
- Convert to Qt6

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 21 2022 Robin Lee <cheeselee@fedoraproject.org> - 2.6.1-1
- New release 2.6.1 (RHBZ#2088722)

* Wed Apr 06 2022 Qiyu Yan <yanqiyu@fedoraproject.org> - 2.6.0-1
- New release 2.6.0 (RHBZ#2071785)

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 2.5.1-1
- New release 2.5.1 (RHBZ#2051720)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 18 2021 Robin Lee <cheeselee@fedoraproject.org> - 2.5.0-1
- New release 2.5.0 (RHBZ#2031064)

* Sat Nov 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 2.4.1-1
- New release 2.4.1 (RHBZ#2016857)

* Mon Sep 20 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 2.4.0-1
- update to 2.4.0(#2005673)

* Sat Jul 31 2021 Robin Lee <cheeselee@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1
- Fix FTBFS

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0 (#1966351)

* Wed Jun 16 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1 upstream release

* Sun May 09 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0 (#1958642)

* Wed Mar 31 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1 (#1944929)

* Sun Mar 21 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0 upstream release

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 2021 Robin Lee <cheeselee@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Feb 17 2020 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.1.3-3
- Rebuild against fluidsynth2

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Sep  7 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.1.3-1
- Release 1.1.3

* Mon Jul 29 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.1.2-2
- Fix build for Fedora 31

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 17 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.1.2-1
- Update to 1.1.2

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 10 2018 Robin Lee <cheeselee@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1 (BZ#1548773)
- BR gcc-c++ for http://fedoraproject.org/wiki/Changes/Remove_GCC_from_BuildRoot

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-5
- Remove obsolete scriptlets

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Sep 30 2016 Robin Lee <cheeselee@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0 (BZ#1380040)
- Requires pulseaudio-libs-devel for the eassynth backend
- Dropped drumstick-1.0.2-gcc6.patch
- Filtered auto-provides for plugin shared libraries

* Tue Feb 16 2016 Robin Lee <cheeselee@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2 (BZ#1294720)
- Fix FTBFS with GCC 6 (BZ#1307433)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 12 2015 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.0-2
- Rebuilt for GCC 5 C++11 ABI change

* Fri Oct 17 2014 Robin Lee <cheeselee@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> 0.5.0-9
- update mime scriptlet

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 09 2014 Richard Hughes <richard@hughsie.com> - 0.5.0-7
- Split out the three applications as seporate packages so they are installable
  in the software center.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 11 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.5.0-1
- update to 0.5.0
- drumstick-0.3.1-sysinfo-#597354.patch removed
- drumstick-0.3.1-fix-implicit-linking.patch updated to
  drumstick-0.5.0-fix-implicit-linking.patch
- build the manpages and API documents, BR: docbook-style-xsl /usr/bin/xsltproc
  doxygen

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri May 28 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.3.1-2
- sysinfo: don't crash when no timer module available (#597354, upstream patch)

* Fri May 28 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.3.1-1
- update to 0.3.1
- fix FTBFS due to the strict ld in Fedora >= 13

* Mon Mar 15 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.3.0-1
- update to 0.3.0 release

* Mon Feb 08 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.99-0.3.svn20100208
- update from SVN for KMid2 0.2.1

* Sun Jan 31 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.99-0.2.svn20100107
- put the alphatag before the disttag

* Fri Jan 29 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.99-0.1.svn20100107
- update to 0.2.99svn tarball
- renamed from aseqmm to drumstick by upstream

* Fri Jan 22 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.0-2
- require the main package with exact version-release in -examples

* Fri Jan 22 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.0-1
- First Fedora package

## END: Generated by rpmautospec
